function [coordinatesForAllNodes, nodesForAllTriangles, isNodeOnBoundary, centersOfMass] = getTriangulationMatrices(n)

h = 1/(n+1) ;
x = 0:h:1 ;
[Y,X] = meshgrid(x, x) ;
coordinatesForAllNodes = [X(:), Y(:)] ;

vec1 = (1:n+1)'+(n+2)*(0:n) ;
vec1 = vec1(:) ;
vec2 = vec1+1 ;
vec3 = vec2+n+2 ;
vec4 = vec1 ;
vec5 = vec4+n+2 ;
vec6 = vec5+1 ;
nodesForAllTriangles = [vec1,vec2,vec3; vec4,vec5,vec6] ;

isNodeOnBoundary = zeros(n+2,n+2) ;
isNodeOnBoundary(:,[1,n+2]) = 1 ;
isNodeOnBoundary([1,n+2],:) = 1 ;
isNodeOnBoundary = isNodeOnBoundary(:) ;

k1 = nodesForAllTriangles' ;
k1 = coordinatesForAllNodes(k1(:),:) ;
xCoordinatesForAllTriangles = reshape(k1(:,1),3,[]) ;
yCoordinatesForAllTriangles = reshape(k1(:,2),3,[]) ;
centersOfMass = [sum(xCoordinatesForAllTriangles)',sum(yCoordinatesForAllTriangles)']/3 ;